<?PHP
#
#   FILE:  Check.php
#
#   Copyright 2011 Internet Scout Project
#   http://scout.wisc.edu/
#

# ----- MAIN -----------------------------------------------------------------

PageTitle("Automatically checking an URL...");
CheckAuthorization(PRIV_SYSADMIN, PRIV_COLLECTIONADMIN);

$ResourceId = GetFormValue("ResourceId");

if (Resource::ItemExists($ResourceId))
{
    $Resource = new Resource($ResourceId);
    $AF->SignalEvent("URLCHECKER_CHECK_RESOURCE_URLS", array($Resource, NULL));
}

$AF->SuppressHTMLOutput();
$AF->SetJumpToPage("index.php?P=P_UrlChecker_Results");
